<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Wed Mar 13 11:46:20 CET 2019 -->
<title>Uses of Class hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2019-03-13">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode" class="title">Uses of Class<br>hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hr.fer.zemris.java.hw01">
<!--   -->
</a>
<h3>Uses of <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a> in <a href="../package-summary.html">hr.fer.zemris.java.hw01</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../package-summary.html">hr.fer.zemris.java.hw01</a> declared as <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.TreeNode.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.TreeNode.html#left">left</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbersTest.</span><code><span class="memberNameLink"><a href="../UniqueNumbersTest.html#node">node</a></span></code></th>
<td class="colLast">
<div class="block">tree's head node used in tests for further tree creation</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.TreeNode.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.TreeNode.html#right">right</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hr.fer.zemris.java.hw01</a> that return <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.html#addNode(hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode,int)">addNode</a></span>&#8203;(<a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a>&nbsp;node,
       int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Method adding a new node to the tree if the value is not already present in it.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.html#enterNodeValues(java.util.Scanner,hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode)">enterNodeValues</a></span>&#8203;(java.util.Scanner&nbsp;sc,
               <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a>&nbsp;head)</code></th>
<td class="colLast">
<div class="block">Method enables user to input values to be added to the tree.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hr.fer.zemris.java.hw01</a> with parameters of type <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.html#addNode(hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode,int)">addNode</a></span>&#8203;(<a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a>&nbsp;node,
       int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Method adding a new node to the tree if the value is not already present in it.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.html#containsValue(hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode,int)">containsValue</a></span>&#8203;(<a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a>&nbsp;node,
             int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Method checking if a particular value is present in any node of a given tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.html#enterNodeValues(java.util.Scanner,hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode)">enterNodeValues</a></span>&#8203;(java.util.Scanner&nbsp;sc,
               <a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a>&nbsp;head)</code></th>
<td class="colLast">
<div class="block">Method enables user to input values to be added to the tree.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.html#getNodesAscending(hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode,java.lang.String)">getNodesAscending</a></span>&#8203;(<a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a>&nbsp;node,
                 java.lang.String&nbsp;message)</code></th>
<td class="colLast">
<div class="block">Method creating string containing tree node values in ascending order.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UniqueNumbers.</span><code><span class="memberNameLink"><a href="../UniqueNumbers.html#treeSize(hr.fer.zemris.java.hw01.UniqueNumbers.TreeNode)">treeSize</a></span>&#8203;(<a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">UniqueNumbers.TreeNode</a>&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Method calculating a tree's size i.e.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../UniqueNumbers.TreeNode.html" title="class in hr.fer.zemris.java.hw01">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
